﻿@model RolePermissionModel

<form>
    <div class="table-responsive rounded">
        <table class="table search-table align-middle text-nowrap">
            <tbody>
                <tr class="search-items">
                    <td>
                        Workspace User
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.AddWorkspaceUser">
                                <label class="form-check-label" asp-for="@Model.AddWorkspaceUser">Invite</label>
                            </div>
                        </div>
                    </td>
                    @* todo : Separate permission for edit and remove *@
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.RemoveWorkspaceUser">
                                <label class="form-check-label" asp-for="@Model.RemoveWorkspaceUser">Edit</label>
                            </div>
                        </div>
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.RemoveWorkspaceUser">
                                <label class="form-check-label" asp-for="@Model.RemoveWorkspaceUser">Remove</label>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr class="search-items">
                    <td>
                        Project
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.CreateProject">
                                <label class="form-check-label" asp-for="@Model.CreateProject">Create</label>
                            </div>
                        </div>
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.EditProject">
                                <label class="form-check-label" asp-for="@Model.EditProject">Edit</label>
                            </div>
                        </div>
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.DeleteProject">
                                <label class="form-check-label" asp-for="@Model.DeleteProject">Delete</label>
                            </div>
                        </div>
                    </td>
                </tr>
                <tr class="search-items">
                    <td>
                        Issue
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.CreateTask">
                                <label class="form-check-label" asp-for="@Model.CreateTask">Create</label>
                            </div>
                        </div>
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.EditTask">
                                <label class="form-check-label" asp-for="@Model.EditTask">Edit</label>
                            </div>
                        </div>
                    </td>
                    <td>
                        <div class="n-chk align-self-center text-center">
                            <div class="form-check">
                                <input type="checkbox" disabled class="form-check-input contact-chkbox primary" asp-for="@Model.DeleteTask">
                                <label class="form-check-label" asp-for="@Model.DeleteTask">Delete</label>
                            </div>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</form>